/**
 * 节流
 * @param {Function} func 回调函数
 * @param {Number} wait 时间限制
 * @returns
 */
export function throttle(func, wait) {
  let timeout
  return function() {
    const context = this
    const args = arguments
    if (!timeout) {
      timeout = setTimeout(function() {
        timeout = null
        func.apply(context, args)
      }, wait)
    }
  }
}
